> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /candidates

POST https://api.merge.dev/api/ats/v1/candidates
Content-Type: application/json

Creates a `Candidate` object with the given values.

Reference: https://docs.merge.dev/merge-unified/ats/common-models/candidates/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects a CandidateEndpointRequest.

- `model` (CandidateRequest, required) — # The Candidate Object ### Description The `Candidate` object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications. ### Usage Example Fetch from the `LIST Candidates` endpoint and filter by `ID` to show all candidates.
- `remote_user_id` (string, required)

## Response

### 201

- `model` (Candidate, required) — # The Candidate Object ### Description The `Candidate` object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications. ### Usage Example Fetch from the `LIST Candidates` endpoint and filter by `ID` to show all candidates.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### CandidateRequest

# The Candidate Object ### Description The `Candidate` object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications. ### Usage Example Fetch from the `LIST Candidates` endpoint and filter by `ID` to show all candidates.

- `first_name` (string, optional, nullable) — The candidate's first name.
- `last_name` (string, optional, nullable) — The candidate's last name.
- `company` (string, optional, nullable) — The candidate's current company.
- `title` (string, optional, nullable) — The candidate's current title.
- `last_interaction_at` (datetime, optional, nullable) — When the most recent interaction with the candidate occurred.
- `is_private` (boolean, optional, nullable) — Whether or not the candidate is private.
- `can_email` (boolean, optional, nullable) — Whether or not the candidate can be emailed.
- `locations` (list of string, optional, nullable) — The candidate's locations.
- `phone_numbers` (list of PhoneNumberRequest, optional)
- `email_addresses` (list of EmailAddressRequest, optional)
- `urls` (list of UrlRequest, optional)
- `tags` (list of string, optional) — Array of `Tag` names as strings.
- `applications` (list of string, optional) — Array of `Application` object IDs.
- `attachments` (list of string, optional) — Array of `Attachment` object IDs.
- `remote_template_id` (string, optional, nullable)
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)

### Candidate

# The Candidate Object ### Description The `Candidate` object is used to represent profile information about a given Candidate. Because it is specific to a Candidate, this information stays constant across applications. ### Usage Example Fetch from the `LIST Candidates` endpoint and filter by `ID` to show all candidates.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `first_name` (string, optional, nullable) — The candidate's first name.
- `last_name` (string, optional, nullable) — The candidate's last name.
- `company` (string, optional, nullable) — The candidate's current company.
- `title` (string, optional, nullable) — The candidate's current title.
- `remote_created_at` (datetime, optional, nullable) — When the third party's candidate was created.
- `remote_updated_at` (datetime, optional, nullable) — When the third party's candidate was updated.
- `last_interaction_at` (datetime, optional, nullable) — When the most recent interaction with the candidate occurred.
- `is_private` (boolean, optional, nullable) — Whether or not the candidate is private.
- `can_email` (boolean, optional, nullable) — Whether or not the candidate can be emailed.
- `locations` (list of string, optional, nullable) — The candidate's locations.
- `phone_numbers` (list of PhoneNumber, optional)
- `email_addresses` (list of EmailAddress, optional)
- `urls` (list of Url, optional)
- `tags` (list of string, optional) — Array of `Tag` names as strings.
- `applications` (list of string, optional) — Array of `Application` object IDs.
- `attachments` (list of string, optional) — Array of `Attachment` object IDs.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (CandidateFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### PhoneNumberRequest

# The PhoneNumber Object ### Description The `PhoneNumber` object is used to represent a candidate's phone number. ### Usage Example Fetch from the `GET Candidate` endpoint and view their phone numbers.

- `value` (string, optional, nullable) — The phone number.
- `phone_number_type` (enum, optional, nullable) — The type of phone number.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `SKYPE`, `OTHER`
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)

### EmailAddressRequest

# The EmailAddress Object ### Description The `EmailAddress` object is used to represent a candidate's email address. ### Usage Example Fetch from the `GET Candidate` endpoint and view their email addresses.

- `value` (string, optional, nullable) — The email address.
- `email_address_type` (enum, optional, nullable) — The type of email address.
  - Allowed values: `PERSONAL`, `WORK`, `OTHER`
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)

### UrlRequest

# The Url Object ### Description The `Url` object is used to represent hyperlinks associated with the parent model. ### Usage Example Fetch from the `GET Candidate` endpoint and view their website urls.

- `value` (string, optional, nullable) — The site's url.
- `url_type` (enum, optional, nullable) — The type of site.
  - Allowed values: `PERSONAL`, `COMPANY`, `PORTFOLIO`, `BLOG`, `SOCIAL_MEDIA`, `OTHER`, `JOB_POSTING`
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)

### PhoneNumber

# The PhoneNumber Object ### Description The `PhoneNumber` object is used to represent a candidate's phone number. ### Usage Example Fetch from the `GET Candidate` endpoint and view their phone numbers.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The phone number.
- `phone_number_type` (enum, optional, nullable) — The type of phone number.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `SKYPE`, `OTHER`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### EmailAddress

# The EmailAddress Object ### Description The `EmailAddress` object is used to represent a candidate's email address. ### Usage Example Fetch from the `GET Candidate` endpoint and view their email addresses.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The email address.
- `email_address_type` (enum, optional, nullable) — The type of email address.
  - Allowed values: `PERSONAL`, `WORK`, `OTHER`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### Url

# The Url Object ### Description The `Url` object is used to represent hyperlinks associated with the parent model. ### Usage Example Fetch from the `GET Candidate` endpoint and view their website urls.

- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `value` (string, optional, nullable) — The site's url.
- `url_type` (enum, optional, nullable) — The type of site.
  - Allowed values: `PERSONAL`, `COMPANY`, `PORTFOLIO`, `BLOG`, `SOCIAL_MEDIA`, `OTHER`, `JOB_POSTING`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).

### CandidateFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

## Examples

**Request**

```json
{
  "remote_user_id": "string"
}
```

**Response**

```json
{
  "model": {
    "id": "521b18c2-4d01-4297-b451-19858d07c133",
    "remote_id": "21198",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "first_name": "Gil",
    "last_name": "Feig",
    "company": "Columbia Dining App.",
    "title": "Software Engineer",
    "remote_created_at": "2021-10-15T00:00:00Z",
    "remote_updated_at": "2021-10-16T00:00:00Z",
    "last_interaction_at": "2021-10-17T00:00:00Z",
    "is_private": true,
    "can_email": true,
    "locations": [
      "San Francisco",
      "New York",
      "Miami"
    ],
    "phone_numbers": [
      {
        "value": "+1234567890",
        "phone_number_type": "MOBILE"
      }
    ],
    "email_addresses": [
      {
        "value": "hello@merge.dev",
        "email_address_type": "PERSONAL"
      }
    ],
    "urls": [
      {
        "value": "http://alturl.com/p749b",
        "url_type": "BLOG"
      }
    ],
    "tags": [
      "High-Priority"
    ],
    "applications": [
      "29eb9867-ce2a-403f-b8ce-f2844b89f078",
      "b4d08e5c-de00-4d64-a29f-66addac9af99",
      "4ff877d2-fb3e-4a5b-a7a5-168ddf2ffa56"
    ],
    "attachments": [
      "bea08964-32b4-4a20-8bb4-2612ba09de1d"
    ],
    "remote_was_deleted": true,
    "field_mappings": {
      "organization_defined_targets": {
        "custom_key": "custom_value"
      },
      "linked_account_defined_targets": {
        "custom_key": "custom_value"
      }
    },
    "remote_data": [
      {
        "path": "/candidates",
        "data": null
      }
    ]
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/ats/v1/candidates"

payload = { "remote_user_id": "string" }
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/ats/v1/candidates';
const options = {
  method: 'POST',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"remote_user_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/ats/v1/candidates"

	payload := strings.NewReader("{\n  \"remote_user_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/ats/v1/candidates")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"remote_user_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.merge.dev/api/ats/v1/candidates")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"remote_user_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.merge.dev/api/ats/v1/candidates', [
  'body' => '{
  "remote_user_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/ats/v1/candidates");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"remote_user_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["remote_user_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/ats/v1/candidates")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```